DOM::CSSValueList Class Reference

`#include <css_value.h>`

Inheritance diagram for DOM::CSSValueList:

## Public Member Functions

| CSSValueList (const CSSValueList &other)
| CSSValueList (const CSSValue &other)
| CSSValueList (CSSValueListImpl *impl)
CSSValueList & | operator= (const CSSValueList &other)
CSSValueList & | operator= (const CSSValue &other)
unsigned long | length () const
CSSValue | item (unsigned long index)
Public Member Functions inherited from DOM::CSSValue
| CSSValue (const CSSValue &other)
| CSSValue (CSSValueImpl *impl)
CSSValue & | operator= (const CSSValue &other)
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
unsigned short | cssValueType () const
bool | isCSSValueList () const
bool | isCSSPrimitiveValue () const
CSSValueImpl * | handle () const
bool | isNull () const

## Protected Attributes

CSSValueListImpl * | vimpl
Protected Attributes inherited from DOM::CSSValue
CSSValueImpl * | impl

## Additional Inherited Members

Public Types inherited from DOM::CSSValue
enum | UnitTypes { CSS_INHERIT = 0, CSS_PRIMITIVE_VALUE = 1, CSS_VALUE_LIST = 2, CSS_CUSTOM = 3, CSS_INITIAL = 4 }

## Detailed Description

The `CSSValueList` interface provides the absraction of an ordered collection of CSS values.

Definition at line 316 of file css_value.h.

## Member Function Documentation

CSSValue DOM::CSSValueList::item | ( | unsigned long | index | ) |

Used to retrieve a CSS rule by ordinal index.

The order in this collection represents the order of the values in the CSS style property.

Parameters

  index | Index into the collection.

Returns
  The style rule at the `index` position in the `CSSValueList` , or `null` if that is not valid index.

Definition at line 296 of file css_value.cpp.

unsigned long DOM::CSSValueList::length | ( |  | ) | const

The number of `CSSValue` s in the list.

The range of valid values indices is `0` to `length-1` inclusive.

Definition at line 290 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys